/*
 * Copyright: Scheer PAS GmbH
 */
package com.scheer.pas.large;

import java.util.ArrayList;
import java.util.List;
import java.util.UUID;

public class LargeObject {
    private final String id;
    private final List<String> values;

    public LargeObject() {
        id = UUID.randomUUID().toString();
        values = new ArrayList<String>();
    }

    /**
     * Returns the id of a <code>LargeObject</code>.
     *
     * @return Returns the id of the <code>LargeObject</code>.
     */
    String getId() {
        return id;
    }

    /**
     * Returns the value at position <code>index</code> of the list of values.
     *
     * @param index Provide the position in the list of values.
     * @return Returns the value at position <code>index</code> of the list of values.
     */
    String getValue(int index) {
        return values.get(index);
    }

    /**
     * Sets the value at position <code>index</code> of the list of values.
     *
     * @param index Provide the position in the list of values that should be changed.
     * @param value Provide the value to be set.
     */
    void setValue(int index, String value) {
        values.add(index, value);
    }
}
